Summary: rc A  Shell  for  Plan  9  and UNIX Systems
Name: rc
Version: 1.4
Release: 1
Group: Shells
Copyright: awf based (use, alteration, distrib)
Source: ftp.ecf.toronto.edu:/pub/plan9/rc/rc-1.4.tar.Z
Patch0: rc-1.4.patch
Patch1: rc-1.4-paths.patch
Patch2: rc-1.4-static.patch
%description
rc is a command interpreter and programming language simi-
lar to sh(1).  It is based on the AT&T Plan 9 shell of the
same name.  The shell offers a C-like syntax (much more so
than the C shell), and a powerful mechanism for manipulat-
ing  variables.   It  is  reasonably  small and reasonably
fast, especially when  compared  to  contemporary  shells.
Its  use  is  intended to be interactive, but the language
lends itself well to scripts.
Read COPYRIGHT for copying information. All files are
Copyright 1991, Byron Rakitzis.

%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s history
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s rc.static

%install
install -g root -m 755 -o root -s rc.static /bin/rc
install -g root -m 755 -o root -s rc history/history /usr/bin
install -g root -m 444 -o root rc.1 history/history.1 /usr/man/man1
ln -sf -- history /usr/bin/-
ln -sf -- history /usr/bin/--
ln -sf -- history /usr/bin/-p
ln -sf -- history /usr/bin/--p

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/rc" > /etc/shells
else
	if ! grep '^/bin/rc$' /etc/shells > /dev/null; then
		echo "/bin/rc" >> /etc/shells
	fi
fi

%postun
if [ "$1" = "0" ]; then
	grep -v /bin/rc /etc/shells > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%files
%doc CHANGES COPYRIGHT EXAMPLES README
/bin/rc
/usr/bin/rc
/usr/bin/history
/usr/bin/-
/usr/bin/--
/usr/bin/-p
/usr/bin/--p
/usr/man/man1/rc.1
/usr/man/man1/history.1

